<?php if (isset($component)) { $__componentOriginal99db13291ff287454d08b974e14dad64f9e2c6f3 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Header::class, []); ?>
<?php $component->withName('header'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
    <main class="main-content w-full px-[var(--margin-x)] pb-8">
        <div class="flex items-center space-x-4 py-5 lg:py-6">
            <h2 class="text-xl font-medium text-slate-800 dark:text-navy-50 lg:text-2xl">
              Admin
            </h2>
            <div class="hidden h-full py-1 sm:flex">
              <div class="h-full w-px bg-slate-300 dark:bg-navy-600"></div>
            </div>
            <ul class="hidden flex-wrap items-center space-x-2 sm:flex">
              <li class="flex items-center space-x-2">
                <a class="text-primary transition-colors hover:text-primary-focus dark:text-accent-light dark:hover:text-accent" href="<?php echo e(route('admin.dashboard')); ?>">
                Home</a>
                <svg x-ignore="" xmlns="http://www.w3.org/2000/svg" class="h-4 w-4" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                  <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 5l7 7-7 7"></path>
                </svg>
              </li>
              <li>Settings</li>
            </ul>
          </div>

        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="alert flex rounded-lg bg-error px-4 py-4 text-white sm:px-5 sess_msg mb-3">
                <?php echo e($error); ?>

            </div>
            <br>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

        <?php if(session('status-alert')): ?>
            <div class="alert flex rounded-lg bg-error px-4 py-4 text-white sm:px-5 sess_msg mb-3">
                <?php echo e(session('status-alert')); ?>

            </div>
            <br>
        <?php elseif(session('status-success')): ?>
            <div class="alert flex rounded-lg bg-success px-4 py-4 text-white sm:px-5 mb-3 sess_msg mb-3">
                <?php echo e(session('status-success')); ?>

            </div>
            <br>
        <?php else: ?>
        <?php endif; ?>



        <div class="mt-0 mb-4 grid grid-cols-12 gap-4 transition-all duration-[.25s] sm:mt-1 sm:gap-1 lg:mt-1 lg:gap-6">

            <div class="card col-span-12 pb-4 sm:col-span-6">
                <div
                    class="flex flex-col items-center space-y-4 border-b border-slate-200 p-4 dark:border-navy-500 sm:flex-row sm:justify-between sm:space-y-0 sm:px-5">
                    <h2 class="text-lg font-medium tracking-wide text-slate-700 dark:text-navy-100">
                        Application Setting
                    </h2>
                    <div class="flex justify-center space-x-2">
                        <button form="app-myform" type="submit"
                            class="btn min-w-[7rem] bg-primary font-medium text-white hover:bg-primary-focus focus:bg-primary-focus active:bg-primary-focus/90 dark:bg-accent dark:hover:bg-accent-focus dark:focus:bg-accent-focus dark:active:bg-accent/90">
                            <i class="fa-regular fa-check-circle"></i> <span class="ml-2"> Apply Changes </span>
                        </button>
                    </div>
                </div>
                <div class="p-4 sm:p-5">

                    <form method="POST" action="<?php echo e(route('admin.up_app_settings')); ?>" id="app-myform">
                        <?php echo csrf_field(); ?>
                        <div class="grid grid-cols-1 gap-4 sm:grid-cols-2">

                            <label class="block">
                                <span>Refer Bonus</span>
                                <span class="relative mt-1.5 flex">
                                    <input
                                        class="form-input mt-1.5 w-full rounded-lg border border-slate-300 bg-transparent px-3 py-2 placeholder:text-slate-400/70 hover:border-slate-400
                                        focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                        placeholder="Refer Bonus" value="<?php echo e($setting_data->refer_points); ?>"
                                        type="number" name="refer_points">

                                </span>
                            </label>

                            <label class="block">
                                <span>Refer Join Bonus</span>
                                <span class="relative mt-1.5 flex">
                                    <input
                                        class="form-input mt-1.5 w-full rounded-lg border border-slate-300 bg-transparent px-3 py-2 placeholder:text-slate-400/70 hover:border-slate-400
                                          focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                        placeholder="Refer Join User Bonus" value="<?php echo e($setting_data->refer_bonus); ?>"
                                        type="number" name="refer_bonus">

                                </span>
                            </label>

                            <label class="block">
                                <span>Daily Spin</span>
                                <span class="relative mt-1.5 flex">
                                    <input
                                        class="form-input mt-1.5 w-full rounded-lg border border-slate-300 bg-transparent px-3 py-2 placeholder:text-slate-400/70 hover:border-slate-400
                                        focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                        placeholder="Daily Spin Limit" value="<?php echo e($setting_data->daily_spin); ?>"
                                        type="number" name="daily_spin">

                                </span>
                            </label>

                            <label class="block">
                                <span>Daily Scratch</span>
                                <span class="relative mt-1.5 flex">
                                    <input
                                        class="form-input mt-1.5 w-full rounded-lg border border-slate-300 bg-transparent px-3 py-2 placeholder:text-slate-400/70 hover:border-slate-400
                                        focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                        placeholder="Daily Scratch Limit" value="<?php echo e($setting_data->daily_scratch); ?>"
                                        type="text" name="daily_scratch" required>

                                </span>
                            </label>

                            <label class="block">
                                <span>Scratch Coins (Random)</span>
                                <span class="relative mt-1.5 flex">
                                    <input
                                        class="form-input mt-1.5 w-full rounded-lg border border-slate-300 bg-transparent px-3 py-2 placeholder:text-slate-400/70 hover:border-slate-400
                                        focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                        placeholder="Scratch coins ex.1-100" value="<?php echo e($setting_data->scratch_coins); ?>"
                                        type="text" name="scratch_coins" required>

                                </span>
                            </label>

                            <label class="block">
                                <span>App Package Name <b class="text-error">*</b></span>
                                <span class="relative mt-1.5 flex">
                                    <input
                                        class="form-input mt-1.5 w-full rounded-lg border border-slate-300 bg-transparent px-3 py-2 placeholder:text-slate-400/70 hover:border-slate-400
                                        focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                        placeholder="App Package Name" value="<?php echo e($setting_data->package_name); ?>"
                                        type="text" name="package_name" required>
                                </span>
                            </label>
                        </div>

                    </form>
                </div>
            </div>

            <div class="card col-span-12 sm:col-span-6">
                <form method="POST" action="<?php echo e(route('admin.up_fraud_prevention')); ?>" id="up_fraud_prevention">
                    <?php echo csrf_field(); ?>
                <div
                    class="flex flex-col items-center space-y-4 border-b border-slate-200 p-4 dark:border-navy-500 sm:flex-row sm:justify-between sm:space-y-0 sm:px-5">
                    <h2 class="text-lg font-medium tracking-wide text-slate-700 dark:text-navy-100">
                        Fraud Prevention
                    </h2>
                    <div class="flex justify-center space-x-2">
                        <button form="up_fraud_prevention" type="submit"
                            class="btn min-w-[7rem] bg-primary font-medium text-white hover:bg-primary-focus focus:bg-primary-focus active:bg-primary-focus/90 dark:bg-accent dark:hover:bg-accent-focus dark:focus:bg-accent-focus dark:active:bg-accent/90">
                            <i class="fa-regular fa-check-circle"></i> <span class="ml-2"> Apply Changes </span>
                        </button>
                    </div>
                </div>

                <div class="p-4 sm:p-5">
                    <div class="space-x-2 rounded-lg border border-slate-200 p-3 dark:border-navy-600">
                    <div class="flex justify-between">
                        <div class="flex items-center space-x-3">
                          <div>
                            <img class="h-10 w-10" src="<?php echo e(url('/images/banner/device.png')); ?>">
                          </div>
                          <div>
                            <p class="mb-1 font-medium text-slate-700 dark:text-navy-100">
                            Single account per device
                            </p>
                            <p class="text-xs text-slate-400 line-clamp-1 dark:text-navy-300">
                            Users can't open more than 1 account from a device.
                            </p>
                          </div>
                        </div>
                        <label class="inline-flex items-center space-x-2">
                            <input
                              class="form-switch h-5 w-10 rounded-lg bg-slate-300 before:rounded-md before:bg-slate-50 checked:bg-primary checked:before:bg-white dark:bg-navy-900 dark:before:bg-navy-300 dark:checked:bg-accent dark:checked:before:bg-white"
                              type="checkbox"
                              name="one_device"
                              id="o_device"
                              <?php if($setting_data->one_device==0): ?>
                              checked
                              value="<?php echo e($setting_data->one_device); ?>"
                              <?php endif; ?>
                            />
                          </label>
                      </div>
                      </div>

                      <div class="mt-2 space-x-2 rounded-lg border border-slate-200 p-3 dark:border-navy-600">
                        <div class="flex justify-between">
                            <div class="flex items-center space-x-3">
                              <div>
                                <img class="h-10 w-10" src="<?php echo e(url('/images/banner/vpn.png')); ?>">
                              </div>
                              <div>
                                <p class="mb-1 font-medium text-slate-700 dark:text-navy-100">
                                    Block VPN access
                                </p>
                                <p class="text-xs text-slate-400 line-clamp-1 dark:text-navy-300">
                                Users can not open application using VPN.
                                </p>
                              </div>
                            </div>
                            <label class="inline-flex items-center space-x-2">
                                <input
                                  class="vpn form-switch h-5 w-10 rounded-lg bg-slate-300 before:rounded-md before:bg-slate-50 checked:bg-primary checked:before:bg-white dark:bg-navy-900 dark:before:bg-navy-300 dark:checked:bg-accent dark:checked:before:bg-white"
                                  type="checkbox"
                                  id="vpn"
                                  name="vpn"
                                  <?php if($setting_data->vpn==0): ?>
                                  checked
                                  value="<?php echo e($setting_data->vpn); ?>"
                                  <?php endif; ?>
                                />
                              </label>
                          </div>
                       </div>

                       <div class="mt-2 space-x-2 rounded-lg border border-slate-200 p-3 dark:border-navy-600">
                        <div class="flex justify-between">
                            <div class="flex items-center space-x-3">
                              <div>
                                <img class="h-10 w-10" src="<?php echo e(url('/images/banner/vpn.png')); ?>">
                              </div>
                              <div>
                                <p class="mb-1 font-medium text-slate-700 dark:text-navy-100">
                                    Auto ban VPN user
                                </p>
                                <p class="text-xs text-slate-400 line-clamp-1 dark:text-navy-300">
                                    Auto ban who attempts to use VPN connection.
                                </p>
                              </div>
                            </div>
                            <label class="inline-flex items-center space-x-2">
                                <input
                                  class="vpn form-switch h-5 w-10 rounded-lg bg-slate-300 before:rounded-md before:bg-slate-50 checked:bg-primary checked:before:bg-white dark:bg-navy-900 dark:before:bg-navy-300 dark:checked:bg-accent dark:checked:before:bg-white"
                                  type="checkbox"
                                  id="vpn_ban"
                                  name="vpn_ban"
                                  <?php if($setting_data->vpn_ban==0): ?>
                                  checked
                                  value="<?php echo e($setting_data->vpn_ban); ?>"
                                  <?php endif; ?>
                                />
                              </label>
                          </div>
                       </div>
                   </div>
                </form>

            </div>

            <div class="card col-span-12 sm:col-span-6">
                <?php $addata = json_decode($setting_data->days, TRUE); ?>

                <form method="POST" action="<?php echo e(route('admin.up_daily_streak_settings')); ?>" id="up_daily_streak_settings">
                 <?php echo csrf_field(); ?>
                <div
                    class="flex flex-col items-center space-y-4 border-b border-slate-200 p-4 dark:border-navy-500 sm:flex-row sm:justify-between sm:space-y-0 sm:px-5">
                    <h2 class="text-lg font-medium tracking-wide text-slate-700 dark:text-navy-100">
                        7 Day Streak Coins
                    </h2>
                    <div class="flex justify-center space-x-2">
                        <button form="up_daily_streak_settings" type="submit"
                            class="btn min-w-[7rem] bg-primary font-medium text-white hover:bg-primary-focus focus:bg-primary-focus active:bg-primary-focus/90 dark:bg-accent dark:hover:bg-accent-focus dark:focus:bg-accent-focus dark:active:bg-accent/90">
                            <i class="fa-regular fa-check-circle"></i> <span class="ml-2"> Apply Changes </span>
                        </button>
                    </div>
                </div>

                <div class="p-4 sm:p-5">
                    <div class="grid grid-cols-3 gap-4 mt-3">
                        <label class="block">
                            <span>Day 1 (Monday)</span>
                            <input
                                class="form-input mt-1.5 w-full rounded-lg border border-slate-300 bg-transparent px-3 py-2 placeholder:text-slate-400/70 hover:border-slate-400
                                 focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                placeholder="Monday" type="number" name="day_1" value="<?php echo e($addata['day_1']); ?>">
                        </label>
                        <label class="block">
                            <span>Day 2 (Tuesday)</span>
                            <input
                                class="form-input mt-1.5 w-full rounded-lg border border-slate-300 bg-transparent px-3 py-2 placeholder:text-slate-400/70 hover:border-slate-400
                                  focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                placeholder="Tuesday" type="number" name="day_2" value="<?php echo e($addata['day_2']); ?>">
                        </label>
                        <label class="block">
                            <span>Day 3 (Wednesday)</span>
                            <input
                                class="form-input mt-1.5 w-full rounded-lg border border-slate-300 bg-transparent px-3 py-2 placeholder:text-slate-400/70 hover:border-slate-400
                             focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                placeholder="Wednesday" type="number" name="day_3" value="<?php echo e($addata['day_3']); ?>">
                        </label>
                        <label class="block">
                            <span>Day 4 (Thursday)</span>
                            <input
                                class="form-input mt-1.5 w-full rounded-lg border border-slate-300 bg-transparent px-3 py-2 placeholder:text-slate-400/70 hover:border-slate-400
                             focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                 placeholder="Thursday" type="number" name="day_4" value="<?php echo e($addata['day_4']); ?>">
                        </label>
                        <label class="block">
                            <span>Day 5 (Friday)</span>
                            <input
                                class="form-input mt-1.5 w-full rounded-lg border border-slate-300 bg-transparent px-3 py-2 placeholder:text-slate-400/70 hover:border-slate-400
                                focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                placeholder="Friday" type="number" name="day_5" value="<?php echo e($addata['day_5']); ?>">
                        </label>
                        <label class="block">
                            <span>Day 6 (Saturday)</span>
                            <input
                                class="form-input mt-1.5 w-full rounded-lg border border-slate-300 bg-transparent px-3 py-2 placeholder:text-slate-400/70 hover:border-slate-400
                                focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                placeholder="Saturday" type="number" name="day_6" value="<?php echo e($addata['day_6']); ?>">
                        </label>
                        <label class="block">
                            <span>Day 7 (Sunday)</span>
                            <input
                                class="form-input mt-1.5 w-full rounded-lg border border-slate-300 bg-transparent px-3 py-2 placeholder:text-slate-400/70 hover:border-slate-400
                                focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                placeholder="Sunday" type="number" name="day_7" value="<?php echo e($addata['day_7']); ?>">
                        </label>
                    </div>
                </div>
              </form>
            </div>

            <div class="card col-span-12 sm:col-span-6">
                <div
                    class="flex flex-col items-center space-y-4 border-b border-slate-200 p-4 dark:border-navy-500 sm:flex-row sm:justify-between sm:space-y-0 sm:px-5">
                    <h2 class="text-lg font-medium tracking-wide text-slate-700 dark:text-navy-100">
                        Account Setting
                    </h2>
                    <div class="flex justify-center space-x-2">
                        <button form="myform" type="submit"
                            class="btn min-w-[7rem] bg-primary font-medium text-white hover:bg-primary-focus focus:bg-primary-focus active:bg-primary-focus/90 dark:bg-accent dark:hover:bg-accent-focus dark:focus:bg-accent-focus dark:active:bg-accent/90">
                            <i class="fa-regular fa-check-circle"></i><span class="ml-2"> Apply Changes </span>
                        </button>
                    </div>
                </div>
                <form method="POST" action="" id="myform" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="p-4 sm:p-5">
                        <div class="flex gap-4 items-center">
                        <div class="flex flex-col">
                            <span class="text-base font-medium text-slate-600 dark:text-navy-100">Avatar</span>
                            <div class="avatar mt-1.5 h-20 w-20">
                                <img class="mask is-squircle" src="<?php echo e($admin_data->profile_image); ?>" alt="avatar">
                                <div
                                    class="absolute bottom-0 right-0 flex items-center justify-center rounded-full bg-white dark:bg-navy-700">

                                    <label
                                        class="btn h-6 w-6 rounded-full border border-slate-200 p-0 hover:bg-slate-300/20 focus:bg-slate-300/20 active:bg-slate-300/25 dark:border-navy-500 dark:hover:bg-navy-300/20 dark:focus:bg-navy-300/20 dark:active:bg-navy-300/25">
                                        <input tabindex="-1" type="file" name="profile"
                                            class="pointer-events-none absolute inset-0 h-full w-full opacity-0" />
                                        <svg xmlns="http://www.w3.org/2000/svg" class="h-3.5 w-3.5"
                                            viewBox="0 0 20 20" fill="currentColor">
                                            <path
                                                d="M13.586 3.586a2 2 0 112.828 2.828l-.793.793-2.828-2.828.793-.793zM11.379 5.793L3 14.172V17h2.828l8.38-8.379-2.83-2.828z">
                                            </path>
                                        </svg>
                                    </label>
                                </div>
                            </div>
                        </div>
                        <style>
                        .imglogo___{
                        padding: 12px;
                        border-radius: 10px;
                        border: solid 1px #ccc;
                        background: #f1f1f1;
                        height: 50px !important;
                        }
                        </style>
                        <div>
                        <span class="text-base font-medium text-slate-600 dark:text-navy-100">Logo</span>
                        <img class="mt-2 imglogo___" src="<?php echo e($admin_data->profile_logo); ?>" alt="avatar">
                        </div>
                        </div>
                        
                        <div class="mb-3 mt-4 h-px bg-slate-200 dark:bg-navy-500"></div>
                        
                        <label class="block mt-3">
                        <span>Logo</span>
                        <input class="form-input mt-1.5 w-full rounded-lg border border-slate-300 bg-transparent px-3 py-2 placeholder:text-slate-400/70 hover:border-slate-400 focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent" placeholder="Upload Image" type="file" name="csmimage">
                      </label>
                        
                        <div class="mb-3 mt-4 h-px bg-slate-200 dark:bg-navy-500"></div>

                        <div class="grid grid-cols-1 gap-4 sm:grid-cols-2 mt-4">
                            <label class="block">
                                <span>Display name </span>
                                <span class="relative mt-1.5 flex">
                                    <input
                                        class="form-input peer w-full rounded-full border border-slate-300 bg-transparent px-3 py-2 pl-9 placeholder:text-slate-400/70 hover:border-slate-400 focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                        placeholder="Enter name" type="text" name="name"
                                        value="<?php echo e($admin_data->name); ?>">
                                    <span
                                        class="pointer-events-none absolute flex h-full w-10 items-center justify-center text-slate-400 peer-focus:text-primary dark:text-navy-300 dark:peer-focus:text-accent">
                                        <i class="fa-regular fa-user text-base"></i>
                                    </span>
                                </span>
                            </label>
                            <label class="block">
                                <span>Email Address </span>
                                <span class="relative mt-1.5 flex">
                                    <input
                                        class="form-input peer w-full rounded-full border border-slate-300 bg-transparent px-3 py-2 pl-9 placeholder:text-slate-400/70 hover:border-slate-400
                                         focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                        placeholder="Enter email address" type="text" name="email"
                                        value="<?php echo e($admin_data->email); ?>">
                                    <span
                                        class="pointer-events-none absolute flex h-full w-10 items-center justify-center text-slate-400 peer-focus:text-primary dark:text-navy-300 dark:peer-focus:text-accent">
                                        <i class="fa-regular fa-envelope text-base"></i>
                                    </span>
                                </span>
                            </label>

                            <label class="block">
                                <span>Password</span>
                                <span class="relative mt-1.5 flex">
                                    <input
                                        class="form-input peer w-full rounded-full border border-slate-300 bg-transparent px-3 py-2 pl-9 placeholder:text-slate-400/70 hover:border-slate-400 focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                        placeholder="" type="password" name="new_password" value="">
                                    <span
                                        class="pointer-events-none absolute flex h-full w-10 items-center justify-center text-slate-400 peer-focus:text-primary dark:text-navy-300 dark:peer-focus:text-accent">
                                        <i class="fa-solid fa-lock"></i>
                                    </span>
                                </span>
                            </label>
                            <label class="block">
                                <span>Confirm Password</span>
                                <span class="relative mt-1.5 flex">
                                    <input
                                        class="form-input peer w-full rounded-full border border-slate-300 bg-transparent px-3 py-2 pl-9 placeholder:text-slate-400/70 hover:border-slate-400 focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                        placeholder="" type="password" name="new_confirm_password" value="">
                                    <span
                                        class="pointer-events-none absolute flex h-full w-10 items-center justify-center text-slate-400 peer-focus:text-primary dark:text-navy-300 dark:peer-focus:text-accent">
                                        <i class="fa-solid fa-lock"></i>
                                    </span>
                                </span>
                            </label>

                        </div>

                        <br>
                    </div>
                </form>
            </div>

        </div>

    </main>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
<script>
$("#vpn").on('change', function() {
  if ($(this).is(':checked')) {
    $(this).attr('value', '0');
  } else {
    $(this).attr('value', '1');
  }
});

$("#o_device").on('change', function() {
  if ($(this).is(':checked')) {
    $(this).attr('value', '0');
  } else {
    $(this).attr('value', '1');
  }
});
$("#vpn_ban").on('change', function() {
  if ($(this).is(':checked')) {
    $(this).attr('value', '0');
  } else {
    $(this).attr('value', '1');
  }
});
</script>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal99db13291ff287454d08b974e14dad64f9e2c6f3)): ?>
<?php $component = $__componentOriginal99db13291ff287454d08b974e14dad64f9e2c6f3; ?>
<?php unset($__componentOriginal99db13291ff287454d08b974e14dad64f9e2c6f3); ?>
<?php endif; ?>
<?php /**PATH /home/u442681501/domains/csmdevelopers.com/public_html/play_point_codecanyon/project/resources/views/admin/settings.blade.php ENDPATH**/ ?>